<?php declare(strict_types=1);

namespace Plugin\km_artikelpreise\Migrations;

use JTL\Plugin\Migration;
use JTL\Update\IMigration;

class Migration20210426200000 extends Migration implements IMigration
{
    public function up()
    {			

        $this->execute("CREATE TABLE IF NOT EXISTS `xplugin_km_artikelpreise_basics` (
						`kArtikel` int(11) NOT NULL,
						`berechnungsBasis` tinyint(1) NOT NULL,
						PRIMARY KEY (`kArtikel`)
                    ) ENGINE=InnoDB COLLATE utf8_unicode_ci");
					
        $this->execute("CREATE TABLE IF NOT EXISTS `xplugin_km_artikelpreise_manipulation` (
						`kManipulation` int(11) NOT NULL AUTO_INCREMENT,
						`kArtikel` int(11) NOT NULL,
						`formel` TEXT,
						`sort` int(11) NOT NULL,
						PRIMARY KEY (`kManipulation`)
                    ) ENGINE=InnoDB COLLATE utf8_unicode_ci");
					
        $this->execute("CREATE TABLE IF NOT EXISTS `xplugin_km_artikelpreise_variationen` (
						`kArtikel` int(11) NOT NULL,
						`kEigenschaft` int(11) NOT NULL,
						`min` double NULL,
						`max` double NULL,
						`step` double NULL,
						`einheit` varchar(25) NULL,
						`showMinMax` tinyint(1) NOT NULL,
						`hide` tinyint(1) NOT NULL,
						`readonly` tinyint(1) NOT NULL,
						`showEinheit` tinyint(1) NOT NULL DEFAULT '1',
						`useRangeSlider` tinyint(1) NOT NULL DEFAULT '1',
						PRIMARY KEY (`kArtikel`,`kEigenschaft`)
                    ) ENGINE=InnoDB COLLATE utf8_unicode_ci");
    }

    public function down()
    {
        $this->execute("DROP TABLE IF EXISTS `xplugin_km_artikelpreise_basics`");
        $this->execute("DROP TABLE IF EXISTS `xplugin_km_artikelpreise_manipulation`");
        $this->execute("DROP TABLE IF EXISTS `xplugin_km_artikelpreise_variationen`");
    }
}